commit:     52663c5055867bb4ea0424fdc996c2b164683d8c
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sun Feb  5 04:38:53 2017 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sun Feb  5 04:38:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52663c50

sys-boot/gnu-efi: disable -Werror

Package-Manager: Portage-2.3.3_p49, Repoman-2.3.1_p42

 sys-boot/gnu-efi/gnu-efi-3.0.4.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/sys-boot/gnu-efi/gnu-efi-3.0.4.ebuild 
b/sys-boot/gnu-efi/gnu-efi-3.0.4.ebuild
index 205eaf0..07de062 100644
--- a/sys-boot/gnu-efi/gnu-efi-3.0.4.ebuild
+++ b/sys-boot/gnu-efi/gnu-efi-3.0.4.ebuild
@@ -25,6 +25,11 @@ RDEPEND=""
 QA_EXECSTACK="usr/*/lib*efi.a:* usr/*/crt*.o"
 RESTRICT="strip"
 
+src_prepare() {
+       sed -i -e "s/-Werror//" Make.defaults || die
+       default
+}
+
 efimake() {
        local arch=
        case ${CHOST} in

Reply via email to